package com.bjtdba.order.service;

import com.bjtdba.entity.order.StoreCart;
import com.bjtdba.order.vo.MerchantVo;
import com.bjtdba.order.vo.StoreCartVo;

import java.util.List;

/**
 * 购物车表(StoreCart)表服务接口
 *
 * @author makejava
 * @since 2022-09-29 14:39:50
 */
public interface StoreCartService {

    /**
     * 通过ID查询单条数据
     *
     * @param cartId 主键
     * @return 实例对象
     */
    StoreCart queryById(Long cartId);

    /**
     * 分页查询
     *
     * @param storeCart 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    List<StoreCart> queryByPage(StoreCart storeCart);

    /**
     * 新增数据
     *
     * @param storeCart 实例对象
     * @return 实例对象
     */
    StoreCart insert(StoreCart storeCart);

    /**
     * 修改数据
     *
     * @param storeCart 实例对象
     * @return 实例对象
     */
    StoreCart update(StoreCart storeCart);

    /**
     * 通过主键删除数据
     *
     * @param cartId 主键
     * @return 是否成功
     */
    boolean deleteById(Long cartId);

    /**
     *批量删除购物车数据
     * @param cartIds
     * @param uid
     * @return
     */
    public boolean batchDelete(String [] cartIds,Long uid);

    //<!-- 查询 事业二部商户 id结合-->
    public  List<Integer> getMerIds();

    public  Integer[] getMerids(Long uid);

    public List<MerchantVo> getMerchantVo(Integer[] merids);

    public List<StoreCartVo>  queryByuid(Long uid);
    public StoreCartVo  queryByUidCartId(Long uid,Long cartId);
    public List<StoreCart> getStoreCartList(String[] cartIds);


}
